 ![Fudgy the Whale](https://avatars1.githubusercontent.com/u/1856420?v=3&s=200) 

# [Verlihub](https://github.com/Verlihub/verlihub)


Verlihub is a NeoModus Direct Connect (NMDC) server for Unix and Linux based operating systems that provides useful high level functions such as:

  * Very Low RAM and CPU Usage
  * Capable of Holding More Than 20.000 Users
  * Utility Scripts for Simple Installation and Hub Management
  * Export and Import Hub Settings, Configurations and Logs with MySQL
  * User and Role Management with Privileges
  * Logging of Nicks and IPs
  * Clients and Connection Management
  * Highly Extensible Functionality with Lua, Python and Perl Scripting
  * Generation of Statistics for your hub
  * Importing users from Hub Software such as: PtokaX, Aquila or YnHub
  * And much more

## Links

  * Website: http://www.verlihub.net/
  * Documentation: http://www.verlihub.net/doc/
  * Crash Server: http://crash.verlihub.net/
  * Translate: http://transifex.com/projects/p/verlihub-100/
  * Ledokol: http://ledo.feardc.net/
  * Support hub: dchub://hub.verlihub.net:7777/

## [Manual](https://github.com/Verlihub/verlihub/wiki/Installation)

* [Installation](https://github.com/Verlihub/verlihub/wiki/Installation)
 * [Debian Based Installation](https://github.com/Verlihub/verlihub/wiki/Installation#debian-based-distributions)
 * [RedHat/CentOS/Fedora Based Installation](https://github.com/Verlihub/verlihub/wiki/Installation#centos)
 * [Gentoo Based Installation](https://github.com/Verlihub/verlihub/wiki/Installation#gentoo)
* [Setup and Deployment](https://github.com/Verlihub/verlihub/wiki/Setup-and-Deployment)
* [Running Verlihub](https://github.com/Verlihub/verlihub/wiki/Running-Verlihub)
* [Configuration](https://github.com/Verlihub/verlihub/wiki/Configuration)
* [Users and Privilages](https://github.com/Verlihub/verlihub/wiki/Users)
* [Kicks and Bans](https://github.com/Verlihub/verlihub/wiki/Kicks-and-Bans)
* [Messages](https://github.com/Verlihub/verlihub/wiki/Messages)
* [Redirects](https://github.com/Verlihub/verlihub/wiki/Redirects)
* [Client Management](https://github.com/Verlihub/verlihub/wiki/Clients)
* [Connections](https://github.com/Verlihub/verlihub/wiki/Connections)
* [Plugins](https://github.com/Verlihub/verlihub/wiki/Plugins)
* [Command List](https://github.com/Verlihub/verlihub/wiki/Commands)
* [Variable List](https://github.com/Verlihub/verlihub/wiki/Variables)

## [Utilities](https://github.com/Verlihub/verlihub/wiki/Verlihub-Utilities)

* [Command Line Arguements](https://github.com/Verlihub/verlihub/wiki/Verlihub-Utilities#verlihub-command-line-arguments)
* [GUI](https://github.com/Verlihub/verlihub/wiki/Verlihub-Utilities#verlihub-gui)
* [MultiHub](https://github.com/Verlihub/verlihub/wiki/Verlihub-Utilities#verlihub-multihub)
* [Registration Importer](https://github.com/Verlihub/verlihub/wiki/Verlihub-Utilities#verlihub-registration-importer)
* [Migraration](https://github.com/Verlihub/verlihub/wiki/Verlihub-Utilities#verlihub-migration)
* [Pisg Configuration and Hub Statistics](https://github.com/Verlihub/verlihub/wiki/Verlihub-Utilities#pisg-configuration)

## [How-to's](https://github.com/Verlihub/verlihub/wiki/Verlihub-How-to's)

* [Debug and Bug Reporting](https://github.com/Verlihub/verlihub/wiki/Verlihub-How-to's#debug)
* [Gentoo Installation](https://github.com/Verlihub/verlihub/wiki/Gentoo-Installation)
* [GeoIP Updates](https://github.com/Verlihub/verlihub/wiki/Verlihub-How-to's#geoip)
* [Upgrading Lua](https://github.com/Verlihub/verlihub/wiki/Verlihub-How-to's#updating-lua)
* [User Limits](https://github.com/Verlihub/verlihub/wiki/Verlihub-How-to's#user-limits)
* [Translations](https://github.com/Verlihub/verlihub/wiki/Verlihub-How-to's#translations)

## [API](https://github.com/Verlihub/verlihub/wiki/api)
* **Lua**
    * [Methods](https://github.com/Verlihub/verlihub/wiki/API-Lua-Methods)
    * [Events](https://github.com/Verlihub/verlihub/wiki/API-Lua-Events)
    * [Scripts](https://github.com/Verlihub/lua)
    * [Examples](https://github.com/Verlihub/lua)
* **Perl**
    * [Methods](https://github.com/Verlihub/verlihub/wiki/API-Perl-Methods)
    * [Events](https://github.com/Verlihub/verlihub/wiki/API-Perl-Events)
    * [Scripts](https://github.com/Verlihub/perl)
    * [Examples](https://github.com/Verlihub/perl)
* **Python**
    * [Methods](https://github.com/Verlihub/verlihub/wiki/API-Python-Methods)
    * [Events](https://github.com/Verlihub/verlihub/wiki/API-Python-Events)
    * [Scripts](https://github.com/Verlihub/python)
    * [Examples](https://github.com/Verlihub/python)
